EndpointsHandouts

Handouts

Function-calling namespace: handouts

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/handouts/create

Input Fields

FieldTypeRequiredConstraints
titlestringYes-
descriptionstringNo-
typestringYesoneof: video
urlstringYes-
thumbnailUrlstringNo-
organizationIdstringNo-
isGlobalbooleanNonullable
isActivebooleanNonullable
createdBystringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "create",
  "data": {
    "title": "value",
    "type": "video",
    "url": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/handouts/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "delete",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/handouts/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "getById",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/handouts/list

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
createdBystringNo-
searchstringNo-
sortBystringNo-
sortOrderstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "list",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByConsultationId

Source: backend/endpoints/handouts/list-by-consultation-id

Input Fields

FieldTypeRequiredConstraints
consultationIdstringYes-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "listByConsultationId",
  "data": {
    "consultationId": "consultation_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/handouts/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
titlestringNonullable
descriptionstringNonullable
typestringNonullable
urlstringNonullable
thumbnailUrlstringNonullable
organizationIdstringNonullable
isGlobalbooleanNonullable
isActivebooleanNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "handouts",
  "apiName": "update",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }